
QGIS Application - Bug report #15043

Topology checker fails to highlight a listed overlap between polygon shapefile layers.

2016-06-16 07:06 AM - Steve Lowman

Status: Closed

Priority: Normal

Assignee:

Category: C++ plugins/Topology checker

Affected QGIS version:2.14.3 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 22988

Description

Attached are three polygon/multipolygon shapefiles: Layer_A; Layer_B_withError; Layer_B_withErrorFixed.

There is only one difference between the 'withError' and'withErrorFixed' features, which is a single vertex location.

This vertex in the 'withError' features is snapped to a 'Layer_A' vertex.

It is moved away from the 'Layer_A' feature in the 'withErrorFixed' features.

The vertex of interest is in the vicinity of the coordinates: 334290,613790

To reproduce the error, and see the difference with the 'fixed' version, do the following:

1. Add all three shapefiles as new layers.

2. Give each layer a different colour style, and best give them some transparency.

3. Open Topology Checker.

4. To see the error, add and run the rule: "Layer_A must not overlap with Layer_B_withError", and check 'Show Errors'.

5. You should see three (3) overlaps listed, but only two (2) of the overlapping areas are highlighted in red.

6. If you then change the rule to "Layer_A must not overlap with Layer_B_withErrorFixed", you should see all three (3) overlaps are

highlighted.

7. If you zoom into the coordinates 334290,613790, and show both of the Layer_B layers, you should see the difference in the vertex

location, as mentioned above.

This is tested in 2.14.3, but not yet in Master.

The bug seems similar but probably not the same as the one in Bug report #10748. This one should be easier to pin down, though.

History

#1 - 2016-06-17 09:20 AM - Steve Lowman

- Target version deleted (Version 2.14)

Deleted Target version, I should not have selected one without knowing what it is for.

#2 - 2017-05-01 01:05 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2019-03-09 03:08 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR
Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
